﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Data;
using System.Text;
using System.Collections;

namespace WebDataGrid
{
    public partial class Sample : System.Web.UI.Page
    {
        
        private DataTable PersonTable1 {
            get{
                DataTable value = (DataTable) Session["PersonTable1"];
                if (value == null) {
                    value = SampleData.GetPersonDataTable();
                    Session["PersonTable1"]=value;
                }
                return value;
            }
            set {
                Session["PersonTable1"] = value;
            }
        }

        private DataTable PersonTable2
        {
            get
            {
                DataTable value = (DataTable)Session["PersonTable2"];
                if (value == null)
                {
                    value = SampleData.GetPersonDataTable();
                    Session["PersonTable2"] = value;
                }
                return value;
            }
            set
            {
                Session["PersonTable2"] = value;
            }
        }

        protected void Page_Load(object sender, EventArgs e)
        {

            BindData();

            if (!IsPostBack)
            {
                ddpColorRed.EditorControl.DataSource = SampleData.GetColorDataTable();
                //ddpColorRed.EditorControl.TextField = "ColorName";
                //ddpColorRed.EditorControl.ValueField = "ColorId";
                ddpColorRed.EditorControl.DataBind();

                ddpColorGreen.EditorControl.DataSource = SampleData.GetColorDataTable();
                //ddpColorGreen.EditorControl.TextField = "ColorName";
                //ddpColorGreen.EditorControl.ValueField = "ColorName";
                ddpColorGreen.EditorControl.DataBind();
            }
            

        }

        private void BindData()
        {
            WebDataGridRed.ClearDataSource();
            WebDataGridRed.DataSource = PersonTable1;
            WebDataGridRed.DataBind();

            WebDataGridGreen.ClearDataSource();
            WebDataGridGreen.DataSource = PersonTable2;
            WebDataGridGreen.DataBind();

        }

      


        protected void WebDataGridRed_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
        {
            string oldValues = SampleData.HashTableToString(e.OldValues);
            string newValues = SampleData.HashTableToString(e.Values);

            string message = string.Format("RowUpdatingRed - <OLD: {0}>, <NEW: {1}>", oldValues, newValues);

            Log(message);
        }


        protected void WebDataGridGreen_RowUpdating(object sender, Infragistics.Web.UI.GridControls.RowUpdatingEventArgs e)
        {
            string oldValues = SampleData.HashTableToString(e.OldValues);
            string newValues = SampleData.HashTableToString(e.Values);

            string message = string.Format("RowUpdatingGreen - <OLD: {0}>, <NEW: {1}>", oldValues, newValues);

            Log(message);

        }

        private void Log(string message)
        {
            lstLog.Items.Add(message);

        }


    }
}